Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.monitor.management
Interface ProbeRuntimeMBean

public interface ProbeRuntimeMBean
extends WebLogicMBean, javax.management.NotificationEmitter

Interface to use to receive monitoring metrics for a stage. The monitoring metric may be latency or throughput. This MBean is a notification emitter of `AttributeChangeNotification` for attribute value changes of its metric property.

Field Summary
`static java.lang.String` | `MBEAN_TYPE` This MBean is registered using the following MBEAN_TYPE.

Method Summary
`javax.management.ObjectName` | `getEndLocation()` Returns the ObjectName representing the end location of the path being monitored.
`java.lang.Number` | `getMetric()` This method returns the current monitoring metric value.
`javax.management.ObjectName` | `getStartLocation()` Returns the ObjectName representing the start location of the path being monitored.
`boolean` | `isActive()` This method returns true if probe is active.
`void` | `start()` This method restarts monitoring metric collection for the path after it is stopped.
`void` | `stop()` This method stops monitoring metric collection for the path.
`void` | `terminate()` This method terminates metric collection and unregisters this MBean from the MBeanServer.

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getName, getObjectName, getType`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### MBEAN_TYPE

    public static final java.lang.String MBEAN_TYPE

  This MBean is registered using the following MBEAN_TYPE.

Method Detail

### getStartLocation

    public javax.management.ObjectName getStartLocation()

  Returns the ObjectName representing the start location of the path being monitored. For latency monitoring, this returns the start point. For throughput monitoring, this returns the point for which throughput is being monitored.

  Returns:
    the ObjectName representing the start location of the path being monitored

### getEndLocation

    public javax.management.ObjectName getEndLocation()

  Returns the ObjectName representing the end location of the path being monitored. For latency monitoring, this returns the end point. For throughput monitoring, this returns null.

  Returns:
    the ObjectName representing the end location of the path being monitored

### getMetric

    public java.lang.Number getMetric()
                               throws javax.management.JMException

  This method returns the current monitoring metric value. This will return null if no monitoring metrics have been calculated or received yet.

  Returns:
    Number representing the current monitoring metric value
  Throws:
    javax.management.JMException -

### start

    public void start()
               throws javax.management.JMException

  This method restarts monitoring metric collection for the path after it is stopped.

  Throws:
    javax.management.JMException -

### stop

    public void stop()
              throws javax.management.JMException

  This method stops monitoring metric collection for the path.

  Throws:
    javax.management.JMException -
    ManagementException -

### terminate

    public void terminate()
                   throws javax.management.JMException

  This method terminates metric collection and unregisters this MBean from the MBeanServer.

  Throws:
    javax.management.JMException -
    ManagementException -

### isActive

    public boolean isActive()

  This method returns true if probe is active.

  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.